#!/usr/bin/env bash
###############################################################################
#
# Bash Remediation Script for RHOSP STIG
#
# Profile Description:
# Sample profile description.
#
# Profile ID:  stig
# Benchmark ID:  RHEL-13-OSP
# Benchmark Version:  0.1.58
# XCCDF Version:  1.1
#
# This file was generated by OpenSCAP 1.3.4 using:
# $ oscap xccdf generate fix --profile stig --fix-type bash xccdf-file.xml
#
# This Bash Remediation Script is generated from an OpenSCAP profile without preliminary evaluation.
# It attempts to fix every selected rule, even if the system is already compliant.
#
# How to apply this Bash Remediation Script:
# $ sudo ./remediation-script.sh
#
###############################################################################

###############################################################################
# BEGIN fix (1 / 35) for 'cinder_file_ownership'
###############################################################################
(>&2 echo "Remediating rule 1/35: 'cinder_file_ownership'")
(>&2 echo "FIX FOR THIS RULE 'cinder_file_ownership' IS MISSING!")

# END fix for 'cinder_file_ownership'

###############################################################################
# BEGIN fix (2 / 35) for 'cinder_file_perms'
###############################################################################
(>&2 echo "Remediating rule 2/35: 'cinder_file_perms'")
(>&2 echo "FIX FOR THIS RULE 'cinder_file_perms' IS MISSING!")

# END fix for 'cinder_file_perms'

###############################################################################
# BEGIN fix (3 / 35) for 'cinder_glance_tls'
###############################################################################
(>&2 echo "Remediating rule 3/35: 'cinder_glance_tls'")
(>&2 echo "FIX FOR THIS RULE 'cinder_glance_tls' IS MISSING!")

# END fix for 'cinder_glance_tls'

###############################################################################
# BEGIN fix (4 / 35) for 'cinder_nas_secure_file_permissions'
###############################################################################
(>&2 echo "Remediating rule 4/35: 'cinder_nas_secure_file_permissions'")
(>&2 echo "FIX FOR THIS RULE 'cinder_nas_secure_file_permissions' IS MISSING!")

# END fix for 'cinder_nas_secure_file_permissions'

###############################################################################
# BEGIN fix (5 / 35) for 'cinder_nova_tls'
###############################################################################
(>&2 echo "Remediating rule 5/35: 'cinder_nova_tls'")
(>&2 echo "FIX FOR THIS RULE 'cinder_nova_tls' IS MISSING!")

# END fix for 'cinder_nova_tls'

###############################################################################
# BEGIN fix (6 / 35) for 'cinder_osapi_max_request_body'
###############################################################################
(>&2 echo "Remediating rule 6/35: 'cinder_osapi_max_request_body'")
(>&2 echo "FIX FOR THIS RULE 'cinder_osapi_max_request_body' IS MISSING!")

# END fix for 'cinder_osapi_max_request_body'

###############################################################################
# BEGIN fix (7 / 35) for 'cinder_tls_enabled'
###############################################################################
(>&2 echo "Remediating rule 7/35: 'cinder_tls_enabled'")
(>&2 echo "FIX FOR THIS RULE 'cinder_tls_enabled' IS MISSING!")

# END fix for 'cinder_tls_enabled'

###############################################################################
# BEGIN fix (8 / 35) for 'cinder_using_keystone'
###############################################################################
(>&2 echo "Remediating rule 8/35: 'cinder_using_keystone'")
(>&2 echo "FIX FOR THIS RULE 'cinder_using_keystone' IS MISSING!")

# END fix for 'cinder_using_keystone'

###############################################################################
# BEGIN fix (9 / 35) for 'horizon_csrf_cookie_secure'
###############################################################################
(>&2 echo "Remediating rule 9/35: 'horizon_csrf_cookie_secure'")
(>&2 echo "FIX FOR THIS RULE 'horizon_csrf_cookie_secure' IS MISSING!")

# END fix for 'horizon_csrf_cookie_secure'

###############################################################################
# BEGIN fix (10 / 35) for 'horizon_disable_password_reveal'
###############################################################################
(>&2 echo "Remediating rule 10/35: 'horizon_disable_password_reveal'")
(>&2 echo "FIX FOR THIS RULE 'horizon_disable_password_reveal' IS MISSING!")

# END fix for 'horizon_disable_password_reveal'

###############################################################################
# BEGIN fix (11 / 35) for 'horizon_file_ownership'
###############################################################################
(>&2 echo "Remediating rule 11/35: 'horizon_file_ownership'")
(>&2 echo "FIX FOR THIS RULE 'horizon_file_ownership' IS MISSING!")

# END fix for 'horizon_file_ownership'

###############################################################################
# BEGIN fix (12 / 35) for 'horizon_file_perms'
###############################################################################
(>&2 echo "Remediating rule 12/35: 'horizon_file_perms'")
(>&2 echo "FIX FOR THIS RULE 'horizon_file_perms' IS MISSING!")

# END fix for 'horizon_file_perms'

###############################################################################
# BEGIN fix (13 / 35) for 'horizon_password_autocomplete'
###############################################################################
(>&2 echo "Remediating rule 13/35: 'horizon_password_autocomplete'")
(>&2 echo "FIX FOR THIS RULE 'horizon_password_autocomplete' IS MISSING!")

# END fix for 'horizon_password_autocomplete'

###############################################################################
# BEGIN fix (14 / 35) for 'horizon_session_cookie_httponly'
###############################################################################
(>&2 echo "Remediating rule 14/35: 'horizon_session_cookie_httponly'")
(>&2 echo "FIX FOR THIS RULE 'horizon_session_cookie_httponly' IS MISSING!")

# END fix for 'horizon_session_cookie_httponly'

###############################################################################
# BEGIN fix (15 / 35) for 'horizon_session_cookie_secure'
###############################################################################
(>&2 echo "Remediating rule 15/35: 'horizon_session_cookie_secure'")
(>&2 echo "FIX FOR THIS RULE 'horizon_session_cookie_secure' IS MISSING!")

# END fix for 'horizon_session_cookie_secure'

###############################################################################
# BEGIN fix (16 / 35) for 'horizon_use_ssl'
###############################################################################
(>&2 echo "Remediating rule 16/35: 'horizon_use_ssl'")
(>&2 echo "FIX FOR THIS RULE 'horizon_use_ssl' IS MISSING!")

# END fix for 'horizon_use_ssl'

###############################################################################
# BEGIN fix (17 / 35) for 'keystone_algorithm_hashing'
###############################################################################
(>&2 echo "Remediating rule 17/35: 'keystone_algorithm_hashing'")
(>&2 echo "FIX FOR THIS RULE 'keystone_algorithm_hashing' IS MISSING!")

# END fix for 'keystone_algorithm_hashing'

###############################################################################
# BEGIN fix (18 / 35) for 'keystone_disable_admin_token'
###############################################################################
(>&2 echo "Remediating rule 18/35: 'keystone_disable_admin_token'")
(>&2 echo "FIX FOR THIS RULE 'keystone_disable_admin_token' IS MISSING!")

# END fix for 'keystone_disable_admin_token'

###############################################################################
# BEGIN fix (19 / 35) for 'keystone_disable_user_account_days_inactive'
###############################################################################
(>&2 echo "Remediating rule 19/35: 'keystone_disable_user_account_days_inactive'")
(>&2 echo "FIX FOR THIS RULE 'keystone_disable_user_account_days_inactive' IS MISSING!")

# END fix for 'keystone_disable_user_account_days_inactive'

###############################################################################
# BEGIN fix (20 / 35) for 'keystone_file_ownership'
###############################################################################
(>&2 echo "Remediating rule 20/35: 'keystone_file_ownership'")
(>&2 echo "FIX FOR THIS RULE 'keystone_file_ownership' IS MISSING!")

# END fix for 'keystone_file_ownership'

###############################################################################
# BEGIN fix (21 / 35) for 'keystone_file_perms'
###############################################################################
(>&2 echo "Remediating rule 21/35: 'keystone_file_perms'")
(>&2 echo "FIX FOR THIS RULE 'keystone_file_perms' IS MISSING!")

# END fix for 'keystone_file_perms'

###############################################################################
# BEGIN fix (22 / 35) for 'keystone_lockout_duration'
###############################################################################
(>&2 echo "Remediating rule 22/35: 'keystone_lockout_duration'")
(>&2 echo "FIX FOR THIS RULE 'keystone_lockout_duration' IS MISSING!")

# END fix for 'keystone_lockout_duration'

###############################################################################
# BEGIN fix (23 / 35) for 'keystone_lockout_failure_attempts'
###############################################################################
(>&2 echo "Remediating rule 23/35: 'keystone_lockout_failure_attempts'")
(>&2 echo "FIX FOR THIS RULE 'keystone_lockout_failure_attempts' IS MISSING!")

# END fix for 'keystone_lockout_failure_attempts'

###############################################################################
# BEGIN fix (24 / 35) for 'keystone_max_request_body_size'
###############################################################################
(>&2 echo "Remediating rule 24/35: 'keystone_max_request_body_size'")
(>&2 echo "FIX FOR THIS RULE 'keystone_max_request_body_size' IS MISSING!")

# END fix for 'keystone_max_request_body_size'

###############################################################################
# BEGIN fix (25 / 35) for 'keystone_use_ssl'
###############################################################################
(>&2 echo "Remediating rule 25/35: 'keystone_use_ssl'")
(>&2 echo "FIX FOR THIS RULE 'keystone_use_ssl' IS MISSING!")

# END fix for 'keystone_use_ssl'

###############################################################################
# BEGIN fix (26 / 35) for 'neutron_api_use_ssl'
###############################################################################
(>&2 echo "Remediating rule 26/35: 'neutron_api_use_ssl'")
(>&2 echo "FIX FOR THIS RULE 'neutron_api_use_ssl' IS MISSING!")

# END fix for 'neutron_api_use_ssl'

###############################################################################
# BEGIN fix (27 / 35) for 'neutron_file_ownership'
###############################################################################
(>&2 echo "Remediating rule 27/35: 'neutron_file_ownership'")
(>&2 echo "FIX FOR THIS RULE 'neutron_file_ownership' IS MISSING!")

# END fix for 'neutron_file_ownership'

###############################################################################
# BEGIN fix (28 / 35) for 'neutron_file_perms'
###############################################################################
(>&2 echo "Remediating rule 28/35: 'neutron_file_perms'")
(>&2 echo "FIX FOR THIS RULE 'neutron_file_perms' IS MISSING!")

# END fix for 'neutron_file_perms'

###############################################################################
# BEGIN fix (29 / 35) for 'neutron_use_https'
###############################################################################
(>&2 echo "Remediating rule 29/35: 'neutron_use_https'")
(>&2 echo "FIX FOR THIS RULE 'neutron_use_https' IS MISSING!")

# END fix for 'neutron_use_https'

###############################################################################
# BEGIN fix (30 / 35) for 'neutron_use_keystone'
###############################################################################
(>&2 echo "Remediating rule 30/35: 'neutron_use_keystone'")
(>&2 echo "FIX FOR THIS RULE 'neutron_use_keystone' IS MISSING!")

# END fix for 'neutron_use_keystone'

###############################################################################
# BEGIN fix (31 / 35) for 'nova_file_ownership'
###############################################################################
(>&2 echo "Remediating rule 31/35: 'nova_file_ownership'")
(>&2 echo "FIX FOR THIS RULE 'nova_file_ownership' IS MISSING!")

# END fix for 'nova_file_ownership'

###############################################################################
# BEGIN fix (32 / 35) for 'nova_file_perms'
###############################################################################
(>&2 echo "Remediating rule 32/35: 'nova_file_perms'")
(>&2 echo "FIX FOR THIS RULE 'nova_file_perms' IS MISSING!")

# END fix for 'nova_file_perms'

###############################################################################
# BEGIN fix (33 / 35) for 'nova_secure_authentication'
###############################################################################
(>&2 echo "Remediating rule 33/35: 'nova_secure_authentication'")
(>&2 echo "FIX FOR THIS RULE 'nova_secure_authentication' IS MISSING!")

# END fix for 'nova_secure_authentication'

###############################################################################
# BEGIN fix (34 / 35) for 'nova_secure_glance'
###############################################################################
(>&2 echo "Remediating rule 34/35: 'nova_secure_glance'")
(>&2 echo "FIX FOR THIS RULE 'nova_secure_glance' IS MISSING!")

# END fix for 'nova_secure_glance'

###############################################################################
# BEGIN fix (35 / 35) for 'nova_use_keystone'
###############################################################################
(>&2 echo "Remediating rule 35/35: 'nova_use_keystone'")
(>&2 echo "FIX FOR THIS RULE 'nova_use_keystone' IS MISSING!")

# END fix for 'nova_use_keystone'

